pyfipe
================

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Install

``` sh
pip install pyfipe
```

## How to use

``` python
from pyfipe.core import ConsultaFipe
```

``` python
fipe = ConsultaFipe(
    mes = 'agosto/2022',
    tipo_veiculo = 'carro',
    marca = 'VW - VolksWagen',
    modelo = 'T-Cross Sense 1.0 TSI Flex 5p Aut.',
    ano_modelo = 2021,
    combustivel = 'Gasolina'
)
```

``` python
fipe.preco()
```

<div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>Valor</th>
      <th>Marca</th>
      <th>Modelo</th>
      <th>AnoModelo</th>
      <th>Combustivel</th>
      <th>CodigoFipe</th>
      <th>MesReferencia</th>
      <th>Autenticacao</th>
      <th>TipoVeiculo</th>
      <th>SiglaCombustivel</th>
      <th>DataConsulta</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>R$ 101.120,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>agosto de 2022</td>
      <td>f4wq6m4pj4djf</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
  </tbody>
</table>
</div>

``` python
import pandas as pd

meses = ['janeiro/2022', 'fevereiro/2022', 'março/2022', 'abril/2022', 'maio/2022', 'junho/2022', 'julho/2022', 'agosto/2022']

df = pd.DataFrame()
for mes in meses:
    fipe.mes = mes
    fipe.update_codigo_tabela_referencia()
    df = pd.concat([df, fipe.preco()])
```

``` python
df
```

<div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>Valor</th>
      <th>Marca</th>
      <th>Modelo</th>
      <th>AnoModelo</th>
      <th>Combustivel</th>
      <th>CodigoFipe</th>
      <th>MesReferencia</th>
      <th>Autenticacao</th>
      <th>TipoVeiculo</th>
      <th>SiglaCombustivel</th>
      <th>DataConsulta</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>R$ 94.854,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>janeiro de 2022</td>
      <td>cg6gzjs2n29fx</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
    <tr>
      <th>0</th>
      <td>R$ 97.518,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>fevereiro de 2022</td>
      <td>ch6p797h88mfx</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
    <tr>
      <th>0</th>
      <td>R$ 101.478,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>março de 2022</td>
      <td>f49rk6kznldjf</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
    <tr>
      <th>0</th>
      <td>R$ 102.808,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>abril de 2022</td>
      <td>f6v25c4673djf</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
    <tr>
      <th>0</th>
      <td>R$ 101.988,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>maio de 2022</td>
      <td>f5w868197ydjf</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
    <tr>
      <th>0</th>
      <td>R$ 101.854,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>junho de 2022</td>
      <td>f5rd7r84hvdjf</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
    <tr>
      <th>0</th>
      <td>R$ 102.021,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>julho de 2022</td>
      <td>f5yhd01kc3djf</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
    <tr>
      <th>0</th>
      <td>R$ 101.120,00</td>
      <td>VW - VolksWagen</td>
      <td>T-Cross Sense 1.0 TSI Flex 5p Aut.</td>
      <td>2021</td>
      <td>Gasolina</td>
      <td>005520-4</td>
      <td>agosto de 2022</td>
      <td>f4wq6m4pj4djf</td>
      <td>1</td>
      <td>G</td>
      <td>quarta-feira, 24 de agosto de 2022 09:56</td>
    </tr>
  </tbody>
</table>
</div>
